﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace WpfApplication16
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void WpfMap_Loaded(object sender, RoutedEventArgs e)
        {
            GeoTiffRasterLayer tiffLayer = new GeoTiffRasterLayer(@"C:\Users\casperlee.APTHINKGEO\Downloads\TrueMarble.4km.10800x5400.tif");
            tiffLayer.Open();
            Init(tiffLayer);
        }

        public void Init(RasterLayer layer)
        {
            RectangleShape ImageBounds = layer.GetBoundingBox();
            int ImageHeight = layer.ImageSource.GetImageHeight();
            int ImageWidth = layer.ImageSource.GetImageWidth();

            using (GeoImage sourceGeoImage = layer.ImageSource.GetImage(ImageBounds, ImageWidth, ImageHeight))
            {
                GdiPlusGeoCanvas canvas = new GdiPlusGeoCanvas();
                Stream stream = sourceGeoImage.GetImageStream(canvas);
                Bitmap bitmap = new Bitmap(stream);
                bitmap.Save("1.jpg");
                bitmap.Dispose();
            }
        }

    }

}
